Package org.apache.catalina.loader

# Class WebappClassLoaderBase.PrivilegedJavaseGetResource

java.lang.Object
org.apache.catalina.loader.WebappClassLoaderBase.PrivilegedJavaseGetResource

All Implemented Interfaces:
  `PrivilegedAction<URL>`

Enclosing class:
  WebappClassLoaderBase

protected final class WebappClassLoaderBase.PrivilegedJavaseGetResource extends Object implements PrivilegedAction<URL>

## Constructor Summary

Constructors
Constructor
Description
`PrivilegedJavaseGetResource(String name)`

## Method Summary

Modifier and Type
Method
Description
`URL`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrivilegedJavaseGetResource

public PrivilegedJavaseGetResource(String name)

## Method Details

### run

public URL run()

Specified by:
  `run` in interface `PrivilegedAction<URL>`